MCGRAB(1)

NAME
mcgrab - multicast filter overload test

SYNOPSIS
mcgrab [-i interface] [-g group] [-n number]

DESCRIPTION
The mcgrab command implements a multicast test which grabs and holds N multicast addresses. The purpose of the test is to see what happens when a network interface is no longer able to filter multicasts in hardware and has to switch to promiscuous or multicast promiscuous mode. A successful test does not have any result, but an unsuccessful test will have deleterious side effects. Packet size in bytes. The options are as follows:

-i interface
    Network interface, which can be found with ifconfig(8).

-g group
    Multicast group.

-n number
    Number of groups to join.

EXAMPLES
The following is an example of a typical usage of the mcgrab command:

    mcgrab -i em0 -g 239.255.255.1 -n 1024

SEE ALSO
mctest(1), netstat(1), nanosleep(2), ifconfig(8)

HISTORY
The mcgrab program first appeared in FreeBSD 7.0.

AUTHORS
This manual page was written by George V. Neville-Neil <gnn@FreeBSD.org>.

BUGS
Should be reported to the author or to <net@FreeBSD.org>.